<!doctype html>
<html lang="ru">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <link rel="stylesheet" href="style.css">
        <title>Тестовое задание</title>
    </head>
    <body>
        <div class="container">
            <div class="centered-container">
                <button type="button" class="btn btn-primary btn-open-form">Открыть форму</button>
                <section class="saved-data card">
                    <div class="card-body">
                        <h5 class="card-title">Введенные данные</h5> 
                        <p class="card-text">Имя: <strong class="saved-data-name"></strong></p>
                        <p class="card-text">Телефон: <strong class="saved-data-phone"></strong></p>
                        <p class="card-text">Email: <strong class="saved-data-email"></strong></p>
                        <button type="button" class="btn btn-primary btn-clear-data">Сбросить</button>
                    </div>
                </section>
            </div>
        </div>
        
        <div class="modal fade" id="formModal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Введите данные</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form class="form-user-data">
                            <div class="form-group">
                                <label for="userName">Имя:</label>
                                <input tabindex="1" type="text" class="form-control" id="userName" placeholder="Введите имя" maxlength="40">
                            </div>
                            <div class="form-group">
                                <label for="userPhone">Телефон:</label>
                                <input tabindex="2" type="text" class="form-control" id="userPhone" placeholder="Введите телефон" maxlength="11">
                            </div>
                            <div class="form-group">
                                <label for="userEmail">Email:</label>
                                <input tabindex="3" type="email" class="form-control" id="userEmail" placeholder="Введите email" maxlength="40">
                            </div>    
                        </form>
                        <div class="alert alert-danger data-error" role="alert"></div>
                    </div>
                    <div class="modal-footer">
                        <button tabindex="4" type="button" class="btn btn-primary bnt-send-data">Отправить</button>
                    </div>
                </div>
            </div>
        </div>
        <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>  
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        <script src="script.js"></script>
    </body>
</html>